Skip to navigation

Create Schedule

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
inputmap from strings to anyRequired
agent_slugstring or nullOptional1-128 characters
cronstring or nullOptional<=256 characters
environment"production"OptionalDefaults to production
idempotency_keystring or nullOptional1-128 characters
interval_secondsinteger or nullOptional60-2592000
session_idstring or nullOptional1-128 characters
session_modeenum or nullOptional
Allowed values:
timezonestringOptional<=128 charactersDefaults to UTC

Response

Successful Response
scheduleobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error